# class Crystal::Macros::MultiAssign

- Crystal::Macros::MultiAssign
- Crystal::Macros::ASTNode

##
Overview

Multiple assign expression.

##
Defined in:

compiler/crystal/macros.cr

##
Instance Method Summary

- #targets : ArrayLiteral(ASTNode)

  Returns the targets assigned to.

- #values : ArrayLiteral(ASTNode)

  Returns the values that are being assigned.

### Instance methods inherited from class `Crystal::Macros::ASTNode`

!=(other : ASTNode) : BoolLiteral !=, ==(other : ASTNode) : BoolLiteral ==, class_name : StringLiteral class_name, column_number : StringLiteral | NilLiteral column_number, doc : StringLiteral doc, doc_comment : MacroId doc_comment, end_column_number : StringLiteral | NilLiteral end_column_number, end_line_number : StringLiteral | NilLiteral end_line_number, filename : StringLiteral | NilLiteral filename, id : MacroId id, is_a?(type : TypeNode) : BoolLiteral is_a?, line_number : StringLiteral | NilLiteral line_number, nil? : BoolLiteral nil?, raise(message) : NoReturn raise, stringify : StringLiteral stringify, symbolize : SymbolLiteral symbolize, warning(message : StringLiteral) : NilLiteral warning

##
Instance Method Detail

def targets : ArrayLiteral(ASTNode) #

Returns the targets assigned to.

def values : ArrayLiteral(ASTNode) #

Returns the values that are being assigned.